DPKG-PRECONFIGURE.FR.8(8)

NOM
dpkg-preconfigure - Permet aux paquets de poser des questions avant leur installation

SYNOPSIS
 dpkg-preconfigure [options] paquet.deb

 dpkg-preconfigure --apt

DESCRIPTION
dpkg-preconfigure permet aux paquets de poser des question avant qu'ils ne soient installés. Il opère sur un jeu de paquets debian, et tous ceux qui utilisent debconf lanceront leur script de configuration, pouvant ainsi examiner le système et poser des questions.

OPTIONS

-ftype, --frontend=type
    Sélectionne l'interface à utiliser.

-pvaleur, --priority=valeur
    Positionne la priorité la plus basse des question dont vous vous intéressez. Toutes les question en dessous de la priorité sélectionnée seront ignorées et les réponses par défaut seront utilisées.

--apt
    Exécute en mode apt. Il s'attendra à lire un jeu de nom de paquets depuis l'entrée standard, plutôt que de les avoir en paramètre. C'est généralement utilisé pour faire exécuter dpkg-preconfigure par apt avant que tous les paquets soient installés. Pour ce faire, ajoutez quelque chose comme ceci dans /etc/apt/apt.conf :

     // Pre-configure all packages before
     // they are installed.
     DPkg::Pre-Install-Pkgs {
            "dpkg-preconfigure --apt --priority=low";
     };

-h, --help
    Affiche un message d'aide.

VOIR AUSSI
debconf(7)

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Julien Louis <leonptitlouis@ifrance.com>